# molecule-template

[![Build Status](https://drone.autonomic.zone/api/badges/autonomic-cooperative/molecule-template/status.svg)](https://drone.autonomic.zone/autonomic-cooperative/molecule-template)

A template for generating new molecule configurations with [cookiecutter](https://cookiecutter.readthedocs.io).

Features:

- Generates a ready-to-go Hetzner Cloud test configuration for a role
- Uses yamllint/ansible-lint with arguments that work specifically with our [infrastructure](https://git.autonomic.zone/autonomic-cooperative/infrastructure) setup
- Removes all unecessary configuration for the default use-case (low maintenance effort intended)

## Usage

You run this command within an existing role directory. If you're looking for
the role template, then we have that [over here](https://git.autonomic.zone/autonomic-cooperative/role-template).

```bash
$ pip install cookiecutter
$ cookiecutter https://git.autonomic.zone/autonomic-cooperative/molecule-template
```

## Arguments

- **molecule_directory**: Name of the standard Molecule role directory (default: `molecule`)
- **role_name**: Name of the role that Molecule files are embedded in (default: `autonomic.mynewrole`)
- **scenario_type**: Name of the Molecule scenario (default: `default`)
- **server_type**: Hetzner Cloud server type (default: `cx11`)
- **server_image**: Hetzner Cloud image type (default: `debian-10`)
